osl::eval::ml::King25EffectYDefense Class Reference

`#include <kingTable.h>`

## Public Types

enum | { DIM = 17 * 128 * 9 }

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (const NumEffectState &state, int black_effect, int black_piece, int white_effect, int white_piece)

## Static Public Attributes

static CArray< MultiInt, 17 *128 *9 > | table

## Static Private Member Functions

static int | index (int king_y, int effect, int piece_count)

## Detailed Description

Definition at line 258 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 266 of file kingTable.h.

## Member Function Documentation

## eval()

MultiInt osl::eval::ml::King25EffectYDefense::eval | ( | const NumEffectState & | state,
|  | int | black_effect,
|  | int | black_piece,
|  | int | white_effect,
|  | int | white_piece )

inline static

Definition at line 275 of file kingTable.h.

References osl::BLACK, index(), osl::SimpleState::kingSquare(), table, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## index()

int osl::eval::ml::King25EffectYDefense::index | ( | int | king_y,
|  | int | effect,
|  | int | piece_count )

inline static private

Definition at line 261 of file kingTable.h.

Referenced by eval().

## setUp()

void osl::eval::ml::King25EffectYDefense::setUp | ( | const Weights & | weights,
|  | int | stage )

inline static

Definition at line 268 of file kingTable.h.

References osl::eval::ml::Weights::dimension(), table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, 17 *128 *9 > osl::eval::ml::King25EffectYDefense::table

static

Definition at line 267 of file kingTable.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc